<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<head><title>Cedula</title>
<script language="javascript" src="js/jquery-1.3.1.min.js"></script>
<script language="javascript" src="js/AjaxUpload.2.0.min.js"></script>
<script language="javascript">
$(document).ready(function(){
	var button = $('#upload_button'), interval;
	new AjaxUpload('#upload_button', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista").value=response;
			$('#listap').appendTo('.files').text(file);
		}	
	});
});
$(document).ready(function(){
	var button = $('#upload_button3'), interval;
	new AjaxUpload('#upload_button3', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista3").value=response;
	
			$('#lista3p').appendTo('.files').text(file);
		}	
	});
});
$(document).ready(function(){
	var button = $('#upload_button2'), interval;
	new AjaxUpload('#upload_button2', {
        action: 'upload2.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf|docx)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.text('Cargando...');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.text('Archivo subido');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			document.getElementById("lista2").value=response;
	
			$('#lista2p').appendTo('.files').text(file);
		}	
	});
});
</script>
<script>
	function desbloquear(a)
		{
		 
		  var e=confirm("En realidad quieres desbloquear la Habitacion?");
		if(e){
		      $.post("desbloqueahabitacion.php", {id:a}, function(data){$("#des").html(data);});
		     }
		}
function confirmar()
{
var a=confirm("En realidad deseas modificar los datos");
if(!a)return false;

}
</script>
<script>
function validacorreo(v){
   var val=document.getElementById('paypal');
   var almacena=document.getElementById('almacencorreo');
  if(v=="PAYPAL"){
    val.readOnly=false;
	val.value=almacena.value;
  }else{
    val.readOnly=true;
	val.value="";
  }
  }
</script>
<?php
require("../conectar.php");
require("funciones.php");
function insertafila($restodias,$tipi,$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$mascotacuota,$pext,$personacuota,$garage,$estacionamientocuota,$camaextra,$camacuota,$cuna,$cunacuota,$aumenta,$per,$limpiezas=0,$limpieza=0,$blancos=0,$blanco=0)
		{
			//echo $pagtotal."-".$nochalcondesc;
		$f=1;
		for($x=1;$x<=$restodias;$x++){
		if($f==1){$f=2;}else{$f=1;}
	  $y++;
	  $rdias=$restodias/$restodias;

		if($pagtotal>=$nochalcondesc)
		   {
			 $status="Pagado";
			 $pagado=$nochalcondesc;
			 $diferencia=0;
			 $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";  
		   }elseif($pagtotal>0.5){
			   	 $status="Anticipo";
			   	 $pagado=$pagtotal;
			   	 $diferencia=$nochalcondesc-$pagtotal;
			   	 $imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
				   if($diferencia<0.5){
				   	   $status="Pagado";
				   	   $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; 
				   	}
				}
		        else{
		        	 $status="Por pagar"; 
		        	 $pagado=0;
		        	 $diferencia=$nochalcondesc; 
		        	 $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>"; 
		        	}
		$pagtotal=$pagtotal-$nochalcondesc;
		?>
<tr id='capafijo<?$y?>'>
		<td   align="left">Renta<input type="hidden" name="concepto[]" value="renta">
		<input type='hidden' name='conceptoh[]' value='renta'></td>
		<td   align=""><? echo htmlentities("$rdias $tipi ");?>
		<input type="hidden" name="periodo[]" value="<? echo htmlentities("$rdias $tipi ");?>">
		</td>
		<td   align="center"><?
		echo fechacorta($fecha)."/";
		$fei=$fecha;
		for($d=1;$d<=$rdias;$d++)
	{
		$nuevafecha = strtotime ( '+'.$aumenta.$per, strtotime ( $fecha ) ) ;
		 $fecha = date ( 'Y-m-j' , $nuevafecha );
		 $fef=$fecha;
	}
	 echo fechacorta($fecha);?>
	 </td>
		
		<td   align="center">
		<?echo moneda($nochalcondesc).$moneda;?>
		<input name="monto[]" type="hidden"  id="monto<?echo$y?>" readonly value="<?echo moneda($nochalcondesc).$moneda;?>" size='8'>
		<input type="hidden" name="montoh[]" id="montoh<?echo$y;?>" value="<?echo$nochalcondesc;?>">
		<input type="hidden" name="fi[]" id="fi<?echo$y;?>" value="<?echo$fei;?>">
		<input type="hidden" name="fs[]" id="fs<?echo$y;?>" value="<?echo$fef;?>">
		</td>
		<td><?echo moneda($pagado).$moneda;?></td>
		<td><?echo $imagen;?><?echo moneda($diferencia).$moneda;?> </td>
	</tr>
	 <?
			if($limpieza<>"0.00"&&$x<=$limpiezas){ $mos=extra($limpieza,$fei,$fef,"1 $tipi ","Limpieza",$y,		$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$limpieza;}
			if($blanco<>"0.00"&&$x<=$blancos){ $mos=extra($blanco,$fei,$fef,"1 $tipi ","Blanco",$y,$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$blanco;}
			
			if($mascota<>"0.00"){ $mos=extra($mascotacuota,$fei,$fef,"1 $tipi ","Mascota",$y,$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$mascotacuota;}
			if($pext<>"0.00"){ $mos=extra($personacuota,$fei,$fef,"1 $tipi ","Persona extra",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$personacuota;}
			if($garage<>"0.00"){$mos=extra($estacionamientocuota,$fei,$fef,"1 $tipi ","Estacionamiento",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$estacionamientocuota;}
			if($camaextra<>"0.00"){	$mos=extra($camacuota,$fei,$fef,"1 $tipi ","Cama Extra",$y,$moneda,$pagtotal);echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$camacuota;}
			if($cuna<>"0.00"){ $mos=extra($cunacuota,$fei,$fef,"1 $tipi ","Cuna",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$cunacuota;}
		}
		return $pagtotal;
		}
function insertafila2($restodias,$tipi,$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$mascotacuota,$pext,$personacuota,$garage,$estacionamientocuota,$camaextra,$camacuota,$cuna,$cunacuota,$aumenta,$per,$limpiezas=0,$limpieza=0,$blancos=0,$blanco=0)
		{
		$f=1;
		for($x=1;$x<=$restodias;$x++){
		if($f==1){$f=2;}else{$f=1;}
	  $y++;
	  $rdias=$restodias/$restodias;
	  ?>
	  <?
		if($pagtotal>=$nochalcondesc){$status="Pagado";$pagado=$nochalcondesc; $diferencia=0;$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";  }
		elseif($pagtotal>0.5){$status="Anticipo";$pagado=$pagtotal;$diferencia=$nochalcondesc-$pagtotal;$imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
					if($diferencia<0.5){$status="Pagado";$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; }
							}
		else{$status="Por pagar"; $pagado=0;$diferencia=$nochalcondesc; $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>"; }
		$pagtotal=$pagtotal-$nochalcondesc;
		?>
	  <tr id='capafijo<?$y?>'>
		<td   align="left">Renta<input type="hidden" name="concepto[]" value="renta">
		<input type='hidden' name='conceptoh[]' value='renta'></td>
		<td   align=""><? echo htmlentities("$rdias $tipi ");?>
		<input type="hidden" name="periodo[]" value="<? echo htmlentities("$rdias $tipi ");?>">
		</td>
		<td   align="center"><?
		echo fechacorta($fecha)."/";
		$fei=$fecha;
		for($d=1;$d<=$rdias;$d++)
	{
		$nuevafecha = strtotime ( '+'.$aumenta.$per, strtotime ( $fecha ) ) ;
		 $fecha = date ( 'Y-m-j' , $nuevafecha );
		 $fef=$fecha;
	}
	 echo fechacorta($fecha);?>
	 </td>
		
		<td   align="center">
		<?echo moneda($nochalcondesc).$moneda;?>
		<input name="monto[]" type="hidden"  id="monto<?echo$y?>" readonly value="<?echo moneda($nochalcondesc).$moneda;?>" size='8'>
		<input type="hidden" name="montoh[]" id="montoh<?echo$y;?>" value="<?echo$nochalcondesc;?>">
		<input type="hidden" name="fi[]" id="fi<?echo$y;?>" value="<?echo$fei;?>">
		<input type="hidden" name="fs[]" id="fs<?echo$y;?>" value="<?echo$fef;?>">
		</td>
		<td><?echo moneda($pagado).$moneda;?></td>
		<td><?echo $imagen;?><?echo moneda($diferencia).$moneda;?> </td>
	</tr>
	 <?
		}
		return $pagtotal;
		}
function  extra ($costo,$fei,$fef,$periodo,$tipo,$y,$moneda,$pagtotal){
		if($pagtotal>=$costo){$status="Pagado";$pagado=$costo; $diferencia=0; $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";  }
		elseif($pagtotal>0.5){$status="Anticipo";$pagado=$pagtotal;$diferencia=$costo-$pagtotal; $imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
							if($diferencia<0.5){$status="Pagado"; $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; }
							}
		else{$status="Por pagar"; $pagado=0;$diferencia=$costo; $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>";}
  $y++;
  $mostrar=array();
		$feii=fechacorta($fei);
		$feff=fechacorta($fef);
		$fs=$_POST['fs'];
		$mostrar[0]="<tr class='tr$f' id='capafijo$y'>
				<td class='lineadiv' align='left'> $tipo<input type='hidden' name='concepto[]' value='renta'>
				<input type='hidden' name='conceptoh[]' value='$tipo'></td>
				<td class='lineadiv' align='left'>$periodo <input type='hidden' name='periodo[]' value='$periodo'>
				</td>
				<td class='lineadiv' align='center'>
				$feii / $feff <input type='hidden' name='fi[]' id='fi$y' value='$fei'>	 <input type='hidden' name='fs[]' id='fs$y' value='$fef'>		 </td>
				<td class='lineadiv' align='center'>".moneda($costo)."$moneda
				  <input type='hidden' class='caja' id='monto$y' name='monto[]' readonly value='".moneda($costo)."$moneda' size='8'>
							<input type='hidden' name='montoh[]' id='montoh$y' value='$costo'>
				</td>
				<td>".moneda($pagado).$moneda."</td>
				<td>$imagen".moneda($diferencia).$moneda."  </td>
				</tr>";
			  $mostrar[1]=$y;
			  return($mostrar);
	  }
function fechacorta($f)
{
list($anio,$mes,$dia)=explode("-",$f);
if($mes=="01"){$mes="Ene";}
if($mes=="02"){$mes="Feb";}
if($mes=="03"){$mes="Mar";}
if($mes=="04"){$mes="Abr";}
if($mes=="05"){$mes="May";}
if($mes=="06"){$mes="Jun";}
if($mes=="07"){$mes="Jul";}
if($mes=="08"){$mes="Ago";}
if($mes=="09"){$mes="Sep";}
if($mes=="10"){$mes="Oct";}
if($mes=="11"){$mes="Nov";}
if($mes=="12"){$mes="Dic";}
$anio;
if(strlen($dia)<2){$dia="0".$dia;}
$f=$dia."-".$mes."-".$anio;
return($f);
}
function compararFechas($primera, $segunda)
 {
  $valoresPrimera = explode ("/", $primera);   
  $valoresSegunda = explode ("/", $segunda); 

  $diaPrimera    = $valoresPrimera[0];  
  $mesPrimera  = $valoresPrimera[1];  
  $anyoPrimera   = $valoresPrimera[2]; 

  $diaSegunda   = $valoresSegunda[0];  
  $mesSegunda = $valoresSegunda[1];  
  $anyoSegunda  = $valoresSegunda[2];

  $diasPrimeraJuliano = gregoriantojd($mesPrimera, $diaPrimera, $anyoPrimera);  
  $diasSegundaJuliano = gregoriantojd($mesSegunda, $diaSegunda, $anyoSegunda);     

  if(!checkdate($mesPrimera, $diaPrimera, $anyoPrimera)){
    // "La fecha ".$primera." no es válida";
    return 0;
  }elseif(!checkdate($mesSegunda, $diaSegunda, $anyoSegunda)){
    // "La fecha ".$segunda." no es válida";
    return 0;
  }else{
    return  $diasPrimeraJuliano - $diasSegundaJuliano;
  } 
}
$idrenta=$_GET["idrenta"];
$idconcepto=$_GET["idconcepto"];
$idcliente=$_GET["idcliente"];
$idc=$_GET["idconcepto"];

if($idconcepto=="")
	{
	 $sql="SELECT id_concepto, dia_salida,dia_inicio,salida_prematura  from conceptos where id_cliente='$idcliente' and status_renta NOT IN('','LIBRE') and CURDATE() between dia_inicio and salida_prematura "; 
	 $query=mysql_query($sql);
		$actual=mysql_fetch_array($query);
		if(mysql_num_rows($query)>0)
		{
		$infocliente="<font color='red'>Actualmente Hospedado</font>";
			}
		else{
		$sql="SELECT id_concepto, dia_salida,dia_inicio  from conceptos where id_cliente='$idcliente' and status_renta NOT IN('','LIBRE') order by dia_inicio desc limit 1"; 
		$query=mysql_query($sql);
		$actual=mysql_fetch_array($query);
		
		$infocliente="<font color='red'>Actualmente no esta hospedado</font>";
		
		}
		$idconcepto=$actual["id_concepto"];	
		$idc=$actual["id_concepto"];
		}
	else
	{ 
	$sql="SELECT id_concepto, dia_salida,dia_inicio  from conceptos where id_cliente='$idcliente' and status_renta NOT IN('','LIBRE') and CURDATE() between dia_inicio and dia_salida ";
		$query=mysql_query($sql);
		$actual=mysql_fetch_array($query);
		if(mysql_num_rows($query)>0)
{
$infocliente='<font color="red">Actualmente hospedado</font>';
			}
		else{$infocliente="<font color='red'>Actualmente no esta hospedado</font>";
		
		}
	}

	/**
	* @Modificación para agregar datos del huesped
	*/
	$sqls="SELECT * from huespedprim where id_concepto='$idconcepto'";
	$hues=mysql_query($sqls);
	$hu=mysql_fetch_array($hues);
	$rows=mysql_num_rows($hues);
	if($rows){
		$nombre = $hu["nombre"]." ".$hu["a_pat"]." ".$hu["a_mat"];
		$direccion = $hu["direccion"];
		$tipoIdentificacion = $hu["tipo_ide"];
		$numeroIdentificacion = $hu["no_ide"];
		$telCasa = $hu["telefono_casa"];
		$telTrabajo = $hu["telefono_trabajo"];
		$correo = $hu["emailper"]."   ".$hu["emailtra"];
	}
	

$sql="SELECT cl.id_cliente,cl.intacc1, cl.coco1, cl.aco1, cl.num1, cl.intacc2, cl.coco2, cl.aco2, cl.num2, concat(cl.nombre,' ',cl.a_pat,' ',cl.a_mat) as cliente, cl.email, r.fecha as f_registro, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo_ant ,e.coordinador, (select concat(em.nombre,' ',em.a_pat,' ',em.a_mat) from empleados em where em.id_empleado = r.id_ejecutivo) as ejecutivo, (select concat(em.nombre,' ',em.a_pat,' ',em.a_mat) from empleados em where em.id_empleado = r.id_coordinador) as coordinador_r
from clientes as cl 
INNER JOIN renta as r ON r.id_cliente=cl.id_cliente 
INNER JOIN empleados as e ON e.id_empleado=cl.id_emp 
where r.id_renta='$idrenta'";

$r=mysql_query($sql);
$q=mysql_fetch_array($r);

$coor="select concat(nombre,' ',a_pat) as coordinador from empleados where id_empleado='$q[coordinador]' ";
$coom=mysql_query($coor);
$coo=mysql_fetch_array($coom);

$exp="SELECT * from expedienteCliente as ex where ex.idcliente='$q[id_cliente]' and idrenta='$idrenta' and idconcepto='$idconcepto'";
$expe=mysql_query($exp);
$exp=mysql_fetch_array($expe);

$dep="select com.id_complejo, dep.no_depto, com.nombre, co.moroso,co.id_departamento, dep.clave, co.dia_inicio, co.dia_salida,co.salida_prematura,  co.id_concepto from conceptos as co inner join complejo as com ON com.id_complejo=co.id_complejo inner join departamentos as dep ON dep.id_departamento=co.id_departamento inner join renta as r ON r.id_renta=co.id_renta  where co.id_renta='$idrenta' and co.id_concepto='$idconcepto'";
$de=mysql_query($dep);

$sql="SELECT r.id_cliente from  renta as r 
INNER JOIN conceptos as c ON r.id_renta=c.id_renta and (c.status_renta<>'LIBRE' or c.status_renta<>'')
where r.id_cliente='$q[id_cliente]' group by c.id_renta";
$visita=mysql_query($sql);
$visitas=mysql_num_rows($visita);

$salidaSQL = "SELECT (select concat(nombre,' ',a_pat,' ') from empleados e where e.id_empleado = c.checkoutUser) usuarioCheckout,fechacheckoutUser,(select concat(nombre,' ',a_pat,' ') from empleados e where e.id_empleado = c.checkInUser) usuarioCheckIn,fechaCheckInUser FROM conceptos c where c.id_concepto = $idconcepto";
$ejesalidaSQL=mysql_query($salidaSQL);
$usercheckout=mysql_fetch_array($ejesalidaSQL);
?>
<style type="text/css">
		.datos{
	border-collapse: collapse;
	font-family: Cambria, "Hoefler Text", "Liberation Serif", Times, "Times New Roman", serif;
	color: #000;
	background-color: #C4F3FF;
}
	   .datos td{
		   	border-bottom: medium solid #CCC;
		   	border-left: medium solid #CCC;
		  
}
tr td:first-child {	border-left: 0px none #000;}
           .datos tr:hover{background-color:#b1d1bc;}
	   
        .titulo {
	border-style: solid;
	border-color: #CCCCCC;
	border-radius: 15px;
	width: 870px;;
}

 .cabezas {
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
	background-color: #000;
	-webkit-box-shadow: 0px 0px #FFFFFF;
	box-shadow: 0px 0px #FFFFFF;
	color: #FFFFFF;
}
.documentos {
	color: #FFFFFF;
	background-color: #666666;
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
}
.cont-docus {
	border-left: medium solid #CCC;
}
	  #upload_button,#upload_button2,#upload_button3{
      color:#CCCCCC;
      font-weight:bold;
      margin:auto;
	  position: absolute;margin-top:-1px;width: 80px;height: 15px;background:#086A87;color:#FFFFFF;overflow:hidden;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;
	  font-size:12px;
    }
.inp{width:165px;font-size:10px;}	
</style>
<script language="javascript" src="calendario_cierre/calendar_db.js"></script>
<link type="text/css" href="calendario_cierre/calendar.css" rel="stylesheet" />
</head>
<body>
<center>
<br><br>	
<div class="titulo">
<form name="form" action="actualizadatoscliente.php" onsubmit="return confirmar()" method="post" enctype="multipart/form-data" target="_blank">
<table width="870" class="datos" >
<tr  >
  <td colspan="4" align="center" class="cabezas" ><strong>DATOS DEL CLIENTE <?echo$infocliente;?></strong>
  <?if($usuario_login=="LICOSCAR"){?>
  <input type="checkbox" name="desbloquea" id="desbloquea" onclick="javascript:desbloquear('<?echo$idconcepto?>');"><div id="des"></div>
  <?}?></td>
  </tr>
<tr>
<td width="194" ><strong>Nombre de cliente<br>(<font size="1">Num. de visitas:<?echo $visitas;?></font>)</strong></td>
<td width="166"><?echo$q["cliente"];?></td>
<td width="213"><strong>Fecha de registro</strong></td>
<td width="268"><?echo fechatexto($q["f_registro"]);?> </td>
</tr>
<tr>
  <td><strong>e-mail</strong></td>
  <td> <?echo$q["email"];?> </td>
  <td class="documentos" colspan="2" align="center"><strong>&nbsp;
  DOCUMENTOS DE CLIENTE</strong></td></tr>
<tr>
  <td><strong>Telefono de contacto</strong></td>
  <td><?echo $q['intacc1'].$q['coco1'].$q['aco1'].$q['num1'];//$cliente?></td>
  <td class="cont-docus"><strong>Identificacion  </strong></td>
  <td>
  <?
  if($exp["identificacion"]!=""){
	$identificacionV="<a href='$exp[identificacion]' target='_blank'><img src='img/ok.png' style='width:17px;height:17px;margin-top:-19px;margin-left:95px'></a>";}else{$identificacionV="<img src='images/vacio.png' width='18' height='18' style='margin-left:5px ;' alt='Ver comprobante'>";}?>
	
	<div id="upload_button"><center>Subir</center></b></div><p id="listap"><?echo $identificacionV?></p><input type="hidden" id="lista" name="lista" value="<?echo $exp['identificacion'];?>">
	
   <?//echo $identificacionV; ?><!--<input name="archivo2" id="subir2" type="file" class="inp">
    <input type="hidden" name="a2" value="<?echo $exp['identificacion'];?>">-->
  <!--<a href="<?echo$exp["identificacion"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a><?echo $identificacionV; ?>-->
  <? //}
  //else {?>
  <!--<img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <input name="archivo2" id="subir2" type="file" class="inp">-->
  <? //}?>
  </td>
</tr>
<tr>
  <td><strong>Telefono de Emergencia</strong></td>
  <td><?echo $q['intacc2'].$q['coco2'].$q['aco2'].$q['num2'];?></td>
  <td class="cont-docus"><strong>Tipo de Identificacion</strong></td>
  <td>
    <? //if($exp["tipoiden"]!=""){echo$exp["tipoiden"];}else{?>
	   <input type="text" name="tipodeidentificacion" value="<?echo$exp['tipoiden']?>" style="background : inherit;border:none;">
	<?//}?>
  </td>
</tr>
<tr>
  <td><strong>Ejecutivo a cargo</strong></td>
  <td><?echo$q["ejecutivo"];?></td>
  <td class="cont-docus"><strong>Numero de Identifiacion</strong></td>
  <td>
  <? //if($exp["noidentificacion"]!=""){echo$exp["noidentificacion"];}else{?>
  <input type="text" name="numerodeidentificacion" value="<?echo$exp['noidentificacion'];?>" style="background : inherit;border:none;">
  <?//}?>
  </td>
</tr>
<tr>
  <td>Coordinador</td>
  <td><?echo$q["coordinador_r"];?></td>
  <td class="cont-docus"><strong>Direccion Oficial</strong></td>
  <td>
  <? //if($exp["direccion"]!=""){echo$exp["direccion"];}?>
  <input type="text" name="direccionoficial" value="<?echo $exp['direccion'];?>" style="background : inherit;border:none;">
  <?//}?>
  </td>
</tr>

<tr>
    <td class="documentos" colspan="2" align="center" style="font-size:11px;">DATOS DEL HUESPED(en caso de que no sean los datos del cliente)</td>
	<td class="documentos" colspan="2" align="center"><strong>&nbsp;
	  DATOS BANCARIOS</strong>
	</td>
</tr>
<tr>
  <td>Nombre:</td>
  <td><?php echo $nombre; ?></td>
  <td class="cont-docus"><strong>Cuentahabiente</strong></td>
  <td><input type="text" name="cuentahabiente" value="<?echo $exp['cuentahabiente'];?>" style="background : inherit;border:none;"></td>
</tr>
<tr>
  <td>Dirección:</td>
  <td><?php echo $direccion; ?></td>
  <td class="cont-docus"><strong>Banco</strong></td>
  <td>	
       <?if($exp['banco'] != ""){$op="<option value='$exp[banco]'>$exp[banco]</option>";}else{$op="";}
	     if($exp['banco']=="PAYPAL"){$readonly="";}else{$readonly="readonly";}
	   ?>
        <select name="banco" id="banco" class="inp" onchange="javascript:validacorreo(this.value);">
			 <?echo $op;?>
			 <option value="">--ESCOGE BANCO--</option>
			 <option value="BANAMEX">BANAMEX</option>
			 <option value="BANCOMER">BANCOMER</option>
			 <option value="BANORTE">BANORTE</option>
			 <option value="HSBC">HSBC</option>
			 <option value="INBURSA">INBURSA</option>
			 <option value="IXE">IXE</option>			 
			 <option value="SANTANDER">SANTANDER</option>	 	  	 
			 <option value="SCOTIABANK">SCOTIABANK</option>
	         <option value="PAYPAL">PAYPAL</option>			 
		</select>
 </td>
</tr>
<tr>
  <td>Tipo de Identificación:</td>
  <td><?php echo $tipoIdentificacion; ?></td>
  <td class="cont-docus"><strong>No. de cuenta</strong></td>
  <td><input type="text" name="nocuenta" value="<?echo $exp['nocuenta'];?>" style="background : inherit;border:none;"></td>
</tr>
<tr>
  <td>Número de identificación:</td>
  <td><?php echo $numeroIdentificacion; ?></td>
  <td class="cont-docus"><strong>Clabe Interbancaria</strong></td>
  <td><input type="text" name="clabe" value="<?echo $exp['clabe'];?>" style="background : inherit;border:none;"></td>
</tr>
<tr>
  <td>Teléfono trabajo:</td>
  <td><?php echo $telTrabajo; ?></td>
  <td class="cont-docus"><strong>Observacion</strong></td>
  <td><input type="text" name="observaciondb" value="<?echo $exp['observacion'];?>" style="background : inherit;border:none;"></td>
</tr>
<tr>
  <td>Teléfono presonal:</td>
  <td><?php echo $telCasa; ?></td>
  <td class="cont-docus"><strong>Correo PAYPAL</strong></td>
  <td><input type="text" name="paypal" id="paypal" value="<?echo $exp['correopaypal'];?>" style="background : inherit;border:none;" <?echo $readonly;?>><input type="hidden" id="almacencorreo" value="<?echo $exp['correopaypal'];?>"></td>
</tr>
<tr>
  <td>e-mail:</td>
  <td><?php echo $correo; ?></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
</table>
</table>
<br>
</div>
<br>

<? while($deps=mysql_fetch_array($de)){  

 $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$deps["dia_inicio"]);
				 list($aniofes,$mesfes,$diafes)=explode("-",$deps["dia_salida"]);
				 
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;			
				
 				 if($anios>0){$periodo=" $anios años ";}
				 if($meses>0){$periodo.=" $meses meses ";}
				 if($semred>0){$periodo.=" $semred semanas ";}
				 if($restodias>0){$periodo.=" $restodias noches ";}






?>
<div class="titulo">
<table width="870" class="datos" >
  <tr >
    <td colspan="5" align="center" class="cabezas" ><strong>DATOS DE RENTA</strong></td>
  </tr>
  <tr>
    <td><strong>Propiedad</strong></td>
    <td><?echo$deps["nombre"];?></td>
    <td colspan="2" align="center"class="documentos"><strong>DOCUMENTOS DE RENTA</strong></td>
  </tr>
  <tr>
    <td width="130"><strong>Departamento</strong></td>
    <td width="231"><? if($deps["id_complejo"]==1){echo"TS";}if($deps["id_complejo"]==2){echo"M";} if($deps["id_complejo"]==3){echo"CT";}if($deps["id_complejo"]==4){echo"CC";}if($deps["id_complejo"]==5){echo"TP";} echo$deps["no_depto"]." "; echo$deps["clave"];?></td>
    <td class="cont-docus" ><strong>Hoja de registro firmada</strong></td><td >

 <? 
 if($exp["hojaregistro"]!=""){
 	$hojaregistro="<a href='$exp[hojaregistro]' target='_blank'><img src='img/ok.png' width='18' height='18'></a>";}else{$hojaregistro="<img src='images/vacio.png' width='18' height='18' style='margin-left:5px;' alt='Ver comprobante'>";}
	?>	
	<div id="upload_button3"><center>Subir</center></b></div><p id="lista3p"  style="width:15px;height:15px;margin-top:0px;margin-left:100px"><?echo $hojaregistro?></p><input type="hidden" id="lista3" name="lista3" value="<?echo $exp['hojaregistro'];?>">	
	
	
   <!-- <?//echo $hojaregistro; ?><input name="archivo3" id="subir3" type="file" class="inp">
    <input type="hidden" name="a3" value="<?echo $exp['hojaregistro'];?>">-->
  <!--<a href="<?echo$exp["hojaregistro"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>-->
  <? //}
  //else {?>
  <!--<img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <input name="archivo3" id="subir3" type="file" class="inp">-->
  <? //}?>
</td>
  </tr>
  <tr>
    <td><strong>Duracion de renta</strong></td>
    <td><?echo $periodo;?></td>
    <td width="189" class="cont-docus"><strong>Contrato firmado</strong></td>
    <td width="292">
    <? if($exp["contrato"]!=""){
 	$Hcontrato="<a href='$exp[contrato]' target='_blank'><img src='img/ok.png' width='18' height='18'></a>";}else{$Hcontrato="<img src='images/vacio.png' width='18' height='18' style='margin-left:5px ;' alt='Ver comprobante'>";}
	?>
	<div id="upload_button2"><center>Subir</center></b></div><p id="lista2p"  style="width:15px;height:15px;margin-top:0px;margin-left:100px"><?echo $Hcontrato?></p><input type="hidden" id="lista2" name="lista2" value="<?echo $exp['contrato'];?>">
	
	
    <?//echo $Hcontrato; ?><!--<input name="archivo4" id="subir4" type="file" class="inp">
    <input type="hidden" name="a4" value="<?echo $exp['contrato'];?>">-->	

  <!--<a href="<?echo$exp["contrato"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>-->
  <? //}
  //else {?>
  <!--<img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <input name="archivo4" id="subir4" type="file" class="inp">-->
  <? //}?>
    
    
    </td>
  
  </tr>
  <tr>
    <td><strong>Fecha de inicio</strong></td>
    <td><? echo fechatexto($deps["dia_inicio"]);?></td>
    <td class="cont-docus"><strong>Carta de cancelacion firmada</strong></td>
    <td>
    
    
    <? if($exp["cartacancelacion"]!=""){?>
  <a href="<?echo$exp["cartacancelacion"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    </td>
   
  </tr>
  <tr>
    <td><strong>Fecha de termino </strong></td>
    <td><? echo fechatexto($deps["dia_salida"]);?></td>
    <td class="cont-docus"><strong>Carta de desocupacion firmada</strong></td>
    <td>   
    <? if($exp["cartadesocupacion"]!=""){?>
  <a href="<? echo$exp["cartadesalojo"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    </td>
   
  </tr>
  <tr>
    <td><?if($deps["salida_prematura"]!=$deps["dia_salida"]) echo "<font color='red'>Salida Prematura</font>"; else echo"Capturar salida Prematura";?></td>
    <td><?if($deps["salida_prematura"]!=$deps["dia_salida"]) echo fechatexto($deps["salida_prematura"]); 
	
	else {echo"<input type='text' name='salida_pre' id='salida_pre' readonly>";?>
		 <script language="JavaScript">
                         var o_cal = new tcal ({
                          // form name
                          'formname': 'form',
                          // input name
                          'controlname': 'salida_pre'
                          });
                         // individual template parameters can be modified via the calendar variable
                          o_cal.a_tpl.yearscroll = false;
                          o_cal.a_tpl.weekstart = 1;     
                     </script>
	
	<?}?></td>
    <td class="cont-docus"><strong>Recibo</strong></td>

    <td>
     <? if($exp["recibo"]!=""){?>
  <a href="<?echo$exp["recibo"];?>" target="_blank">><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    </td>
    
  </tr>
  <tr>
    <td>Marcó Check Out</td>
    <td><?php echo $usercheckout['usuarioCheckout']; ?></td>
    <td class="cont-docus"><strong>Factura</strong></td>
    <td>
      <? if($exp["factura"]!=""){?>
  <a href="<?echo$exp["factura"];?>" target="_blank">><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    
    </td>
   
  </tr>
  <tr>
    <td>Fecha Marcó Checkout</td>
	<td><?php echo $usercheckout['fechacheckoutUser'] == '0000-00-00 00:00:00' ? '' : $usercheckout['fechacheckoutUser'];?></td>
	<td></td>
	<td></td>
  </tr>
  <tr>
     <td>Marcó Check In</td>
     <td><?php echo $usercheckout['usuarioCheckIn']; ?></td>
	 <td></td>
	 <td></td>
  </tr>
   <tr>
     <td>Fecha Marcó Check-In</td>
     <td><?php echo $usercheckout['fechaCheckInUser']; ?></td>
	 <td></td>
	 <td></td>
  </tr>
  <tr>
  <td colspan="4" align="center"> <input type="submit" name="guarda" value="Actualizar datos"></td>
  </tr>
</table>
<input type="hidden" name="idconcepto" value="<?echo$idconcepto?>">
<input type="hidden" name="idcliente" value="<?echo$idcliente?>">
<input type="hidden" name="idrenta" value="<?echo$idrenta?>">
</form>
<br>
</div>
<?
$idcliente=$_GET["idcliente"];
$idrenta=$_GET["idrenta"];

 	$sql="SELECT c.costo_blanc, c.costo_limp,c.meses_blanc, c.meses_limp, frecuencia_limp, periodo_limp,c.id_concepto as idc,c.dia_inicio as fe,c.tipomoneda as tipomoneda,c.dia_salida as fs,c.no_anios,c.no_meses,c.no_sem,c.no_dias,				 c.montoanio,				 c.montomes,				 c.montosem,				 c.montonoche,				 cp.nombre as nombre,				 d.clave as clave,				 c.subtotal as subtotal,				 c.deposito as deposito,				 c.id_departamento as depto,				 c.id_complejo as propiedad,				 c.divisa as divisa,				 c.folio AS folio,				 c.tarifa,				 c.per_extra,				 c.garage,				 c.camaextra,				 c.cuna,				 c.mascota,				 c.descuento,				 c.total,				 c.impuesto,				 c.noPersonas		  FROM conceptos as c
		  INNER JOIN complejo as cp ON c.id_complejo=cp.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento
		  WHERE id_cliente='$idcliente' AND id_renta='$idrenta' and c.id_concepto='$idconcepto' order by fecha asc";
	$con=mysql_query($sql);
	$r=mysql_fetch_array($con);
	$fini=$r['fe'];
	$ffin=$r['fs'];
	$dolar=$r['divisa'];
	$moneda=$r['tipomoneda'];
	$subtotal=$r['subtotal'];

	$pext=$r['per_extra'];
	$garage=$r['garage'];
	$camaextra=$r['camaextra'];
	$cuna=$r['cuna'];
	$mascota=$r['mascota'];
	$impuesto=$r['impuesto'];
	$nopersonas=$r['noPersonas'];
	$descuento=$r['descuento'];
			$blancost=$r['costo_blanc'];
			$limpcost=$r['costo_limp'];
	 if($moneda=="MXN")
	 {
			
			 if($limpcost<>"0.00"){
					
				//precio limpieza

				$limpiezas=$r['meses_limp'];
				$limpieza=$r['frecuencia_limp']*$r['periodo_limp']*15*$dolar;

				}
			if($blancost<>"0.00"){
			
				//precio blancos
				 $blancos=$r['meses_blanc'];
				 $blanco=50*$dolar;

					}
			if($mascota<>"0.00"){
			 //precio mascota

			 $masnoche=10*$dolar;
			 $massem=35*$dolar;
			 $masmes=100*$dolar;

			}
			if($pext<>"0.00"){
			//precios por persona
			 $pexnoch=5*$dolar*$nopersonas;
			 $pexsem=35*$dolar*$nopersonas;
			 $pexmes=120*$dolar*$nopersonas;
			}
			if($garage<>"0.00"){
			//precios estacionamiento
			 $estnoch=10*$dolar;
			 $estsem=60*$dolar;
			 $estmes=240*$dolar;
			}
			if($camaextra<>"0.00"){
			//precios cama extra
			 $camanoch=15*$dolar;
			 $camasem=75*$dolar;
			 $camames=130*$dolar;
			}
			if($cuna<>"0.00"){
			//precio cuna
			 $precuna=5*$dolar;
			 $pcm=30*$precuna;
			 $pcs=7*$precuna;
			 $pcn=$precuna;
			}
	}
	else
			{
				{
				 if($limpcost<>"0.00"){
			
					//precio limpieza

					$limpiezas=$r['meses_limp'];
					$limpieza=$r['frecuencia_limp']*$r['periodo_limp']*15;

					}
				if($blancost<>"0.00"){
					
					//precio blancos
					 $blancos=$r['meses_blanc'];
					 $blanco=50;

					}
				
				if($mascota<>"0.00"){
				 //precio mascota
				 $masnoche=10;
				 $massem=35;
				 $masmes=100;
				}
				if($pext<>"0.00"){
				//precios por persona
				 $pexnoch=5*$nopersonas;
				 $pexsem=35*$nopersonas;
				 $pexmes=120*$nopersonas;
				}
				if($garage<>"0.00"){
				//precios estacionamiento
				 $estnoch=10;
				 $estsem=60;
				 $estmes=240;
				}
				if($camaextra<>"0.00"){
				//precios cama extra
				 $camanoch=15;
				 $camasem=75;
				 $camames=130;
				}
				if($cuna<>"0.00"){
				//precio cuna
				 $precuna=5;
				 $pcm=30*$precuna;
				 $pcs=7*$precuna;
				 $pcn=$precuna;
				}
			}
	if($impuesto>0)
	 {
			 if($limpcost<>"0.00"){
					
				//precio limpieza		
				$limpieza=$limpieza*1.16;

				}
			if($blancost<>"0.00"){
				
				//precio blancos
				 $blanco=$blanco*1.16;

				}
			if($mascota<>"0.00"){
			 //precio mascota

			 $masnoche=$masnoche*1.16;
			 $massem=$massem*1.16;
			 $masmes=$masmes*1.16;

			}
			if($pext<>"0.00"){
			//precios por persona
			 $pexnoch=$pexnoch*1.16*$nopersonas;
			 $pexsem=$pexsem*1.16*$nopersonas;
			 $pexmes=$pexmes*1.16*$nopersonas;
			}
			if($garage<>"0.00"){
			//precios estacionamiento
			 $estnoch=$estnoch*1.16;
			 $estsem=$estsem*1.16;
			 $estmes=$estmes*1.16;
			}
			if($camaextra<>"0.00"){
			//precios cama extra
			 $camanoch=$camanoch*1.16;
			 $camasem=$camasem*1.16;
			 $camames=$camames*1.16;
			}
			if($cuna<>"0.00"){
			//precio cuna
			 $precuna=$precuna*1.16;
			 $pcm=$pcm*1.16;
			 $pcs=$pcs*1.16;
			 $pcn=$pcn*1.16;
			}
	}
		}
	if($descuento>0)
	 {
			 if($limpcost<>"0.00"){
					
				//precio limpieza		
				 $limpieza=$limpieza-(($descuento/100)*$limpieza);

				}
			if($blancost<>"0.00"){
				
				//precio blancos
				 $blanco=$blanco-(($descuento/100)*$blanco);

				}
			if($mascota<>"0.00"){
			 //precio mascota

			 $masnoche=$masnoche-(($descuento/100)*$masnoche);
			 $massem=$massem-(($descuento/100)*$massem);
			 $masmes=$masmes-(($descuento/100)*$masmes);

			}
			if($pext<>"0.00"){
			//precios por persona
			 $pexnoch=$pexnoch-(($descuento/100)*$pexnoch);
			 $pexsem=$pexsem-(($descuento/100)*$pexsem);
			 $pexmes=$pexmes-(($descuento/100)*$pexmes);
			}
			if($garage<>"0.00"){
			//precios estacionamiento
		
			  $estnoch=$estnoch-(($descuento/100)*$estnoch);
			 $estsem=$estsem-(($descuento/100)*$estsem);
			 $estmes=$estmes-(($descuento/100)*$estmes);
			}
			if($camaextra<>"0.00"){
			//precios cama extra
			 $camanoch=$camanoch-(($descuento/100)*$camanoch);
			 $camasem=$camasem-(($descuento/100)*$camasem);
			 $camames=$camames-(($descuento/100)*$camames);
			}
			if($cuna<>"0.00"){
			//precio cuna
			 $precuna=$precuna-(($descuento/100)*$precuna);
			 $pcm=$pcm-(($descuento/100)*$pcm);
			 $pcs=$pcs-(($descuento/100)*$pcs);
			 $pcn=$pcn-(($descuento/100)*$pcn);
			}
	}	

	
	
	
	$c="select concat(nombre,' ',a_pat,' ',a_mat) as cliente from clientes where id_cliente='$idcliente'";
	$ejec=mysql_query($c);
	$cl=mysql_fetch_array($ejec);
	$cliente=$cl['cliente'];

		$mtanio=$r['montoanio'];
		$mtmes=$r['montomes'];
		$mtsem=$r['montosem'];
		$mtnoche=$r['montonoche'];
/////////EMPIEZA EL CALCULO de HOSPEDAJE /////////////////
if($deps['moroso']=="si"){
$nochal=$mtnoche;
										$diasalida=$fini;
										$anofreg=substr($diasalida,0,4);
										$mesfreg=substr($diasalida,5,2);
										$diafreg=substr($diasalida,8,2);
										$fecharegC=$diafreg."/".$mesfreg."/".$anofreg;

										$anoA=substr($ffin,0,4);
										$mesA=substr($ffin,5,2);
										$diaA=substr($ffin,8,2);
										$fechaActualH=$diaA."/".$mesA."/".$anoA;
									    $primera = $fechaActualH;
									    $segunda = $fecharegC;
										$restodias=compararFechas($primera,$segunda);
}else{
if($anios>0 || $meses>=9){
 $mensual=$mtanio;
 }elseif($meses==1){
  $mensual=$mtmes;
 }elseif($meses >= 2 && $meses <= 4){
  $mensual=$mtmes;
 }elseif($meses >= 5 && $meses <= 8){
  $mensual=$mtmes;
 }if($semred > 0){
  $semanal=$mtsem;
 }if($restodias > 0){
  $nochal=$mtnoche;
}
}

$subtotalcondesc=$subtotal-(($descuento/100)*$subtotal);
$subtotal2condesc=$subtotal2-(($descuento/100)*$subtotal2);
$subtotal3condesc=$subtotal3-(($descuento/100)*$subtotal3);

$mensualcondesc=$mensual-(($r["descuento"]/100)*$mensual);
$semanalcondesc=$semanal-(($r["descuento"]/100)*$semanal);
$nochalcondesc=$nochal-(($r["descuento"]/100)*$nochal);

if($moneda=="MXN")
{
//$subtotalcondesc=$subtotalcondesc*$dolar;
$subtotal2condesc=$subtotal2condesc*$dolar;
$subtotal3condesc=$subtotal3condesc*$dolar;

$mensualcondesc=$mensualcondesc*$dolar;
$semanalcondesc=$semanalcondesc*$dolar;
$nochalcondesc=$nochalcondesc*$dolar;

}
if($impuesto>0)
{
$imp=1.19;
$subtotalcondesc=$subtotalcondesc*$imp;
$subtotal2condesc=$subtotal2condesc*$imp;
$subtotal3condesc=$subtotal3condesc*$imp;

$mensualcondesc=$mensualcondesc*$imp;
$semanalcondesc=$semanalcondesc*$imp;
$nochalcondesc=$nochalcondesc*$imp;

}
$qwwq=($nochalcondesc+$semanalcondesc+($mensualcondesc*($meses+$anios*12)));
$resta=$subtotalcondesc-$qwwq;
//if($resta<1)
if($deps['moroso']=="si"){
$nochalcondesc=$nochalcondesc/$restodias;
}else{
if($restodias>0)$nochalcondesc=$nochalcondesc/$restodias;
if($semred>0)$semanalcondesc=$semanalcondesc/$semred;
}
$anticipo=($pcm+$camames+$pexmes+$estmes+$masmes+$mensualcondesc)/2;
$anticipo=round($anticipo,2);
/////////TERMINA EL CALCULO de HOSPEDAJE /////////////////
$y=0;

$sql="Select p.monto, p.divisa, p.tipo_moneda from pagos as p where p.id_concepto='$idconcepto' and concepto='DEPOSITO' ";
	    $garant=mysql_query($sql);
		while($gar=mysql_fetch_array($garant)){
		$garmoneda=$gar["tipo_moneda"];
		$gardivisa=$gar["divisa"];
		$pagdeposito=$gar["monto"]+$pagdeposito;
		if($garmoneda=="USD")$pagdeposito=$pagdeposito*$gardivisa;

		}
	if($moneda=="USD"){$pagdeposito=$pagdeposito/$dolar;}
		$diferenciagar=$r['deposito']-$pagdeposito;
		$sql="select id_pago from pagos where id_concepto='$idconcepto' and concepto='SEGUIMIENTO'";
			$segido=mysql_query($sql);
			$exisseguim=mysql_num_rows($segido);
			if($exisseguim)$diferenciagar=0;
		$sql="Select p.monto as montodol, p.divisa from pagos as p where p.id_concepto='$idconcepto' and concepto<>'DEPOSITO' and p.tipo_moneda='USD'";
	    $montodol=mysql_query($sql);
		while($montod=mysql_fetch_array($montodol))
		{
		$pagdol=$pagdol+($montod["montodol"]*$montod["divisa"]);
		}
		$sql="Select sum(p.monto) as montopes from pagos as p where p.id_concepto='$idconcepto' and concepto<>'DEPOSITO' and p.tipo_moneda='MXN'";
	    $montopes=mysql_query($sql);
		while($montop=mysql_fetch_array($montopes))
		{ $pagpes=$montop["montopes"];}

		$pagtotal=$pagpes+$pagdol;

	if($moneda=="USD")$pagtotal=$pagtotal/$dolar;
		$pagtotal1=$pagtotal;
		
		?><br>
	<div class="titulo">
	  <input type="hidden" name="iva" id="iva" value="<?echo $iva;?>">
	  <input type="hidden" name="ejecu" id="ejecu" value="<?echo $ejecu;?>">
	  <input type="hidden" name="no_depto" id="no_depto" value="<?echo $tari["id_departamento"];?>">
	  <input type="hidden" name="nomcom" id="nomcom" value="<?echo $tari["nombre"];?>">

	<table  width="870" class="datos">
	  <tr>
		<td class="cabezas" colspan="8" align="center"><b>Plan de Pagos Periodo <?echo fechacorta($r['fe'])." al ".fechacorta($r['fs'])?></b></td>
	  </tr>
	  <tr>
		<td align="center" ><b>Concepto de pago</td>
		<td align="center" ><b>Periodo </td>
		<td align="center" ><b>Fecha de inicio/Fecha de termino</td>
		<td align="center"><b>Monto Minimo</td>
		<td align="center" ><b>Monto Pagado</td>
		<td align="center" ><b>Diferencia</td>
	</tr>
	  <tr id='capafijo<?$y?>'>

	 <?if($diferenciagar<=1)$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; 
	 elseif($diferenciagar>0&&$pagdeposito>0)$imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
	 else $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>"; ?>
		<td align="left"  > Garantia<input type="hidden" name="concepto[]" value="garantia"><input type='hidden' name='conceptoh[]' value='garantia'></td>
		<td align="center"  >
		  <?
		     if($deps['moroso']=="si"){
			     echo htmlentities("$restodias noches ");$pnoc=htmlentities("$restodias noches ");
			 }else{
				 if($anios>0){ echo "$anios ";$panio=$anios;}
				 if($meses>0){echo htmlentities("$meses meses ");$pmes=htmlentities("$meses meses ");}
				 if($semred>0){echo htmlentities("$semred semanas ");$psem=htmlentities("$semred semanas ");}
				 if($restodias>0){echo htmlentities("$restodias noches ");$pnoc=htmlentities("$restodias noches ");}
			 }
			 $periodo=$panio.$pmes.$psem.$pnoc
			 ?>
			
			 <input type="hidden" name="periodo[]" value="<?echo $periodo;?>">
		</td>
		<td align="center"  ><? echo fechacorta($fini);?></td>
		<td align="center"  >
		<?echo moneda($r['deposito']).$moneda;?>
		 <input name="monto[]" type="hidden" id="monto<?echo$y?>" readonly value="<?echo moneda($r['deposito']).$moneda;?>" size="8">
		 <input type="hidden" name="montoh[]" id="montoh<?echo$y;?>" value="<?echo $r['deposito'];?>">
		 <input type="hidden" name="fi[]" id="fi<?echo$y;?>" value="<?echo$fini;?>">
		 <input type="hidden" name="fs[]" id="fs<?echo$y;?>" value="<?echo$ffin;?>">
		</td>
		<td><?echo moneda($pagdeposito).$moneda;?></td>
		<td><?echo $imagen;?><?echo moneda($diferenciagar).$moneda;?> </td>
	</tr>
	  <?
	  $fecha=$fini;
	//echo "-".$semanalcondesc; 
if($deps['moroso']=="si"){
				$pagtotal=insertafila2($restodias,$tipi="noche",$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$masnoche,$pext,$pexnoch,$garage,$estnoch,$camaextra,$camanoch,$cuna,$pcn,$aumenta=1,$per="day");
				$nuevafecha = strtotime ( '+'.$restodias.'day', strtotime ( $fecha ) ) ;
				$fecha = date ( 'Y-m-d' , $nuevafecha );
				}else{
	  
	  
if($anios>0){ $anios1=$anios*12;
	  
	 		$pagtotal=insertafila($anios1,$tipi="Mes",$fecha,$pagtotal,$mensualcondesc,$moneda,$mascota,$masmes,$pext,$pexmes,$garage,$estmes,$camaextra,$camames,$cuna,$pcm,$aumenta=1,$per="month",$limpiezas,$limpieza,$blancos,$blanco);
			$nuevafecha = strtotime ( '+'.$anios1.'month', strtotime ( $fecha ) ) ;
			$fecha = date ( 'Y-m-d' , $nuevafecha );
	}
if($meses>0){
			$pagtotal=insertafila($meses,$tipi="Mes",$fecha,$pagtotal,$mensualcondesc,$moneda,$mascota,$masmes,$pext,$pexmes,$garage,$estmes,$camaextra,$camames,$cuna,$pcm,$aumenta=1,$per="month",$limpiezas,$limpieza,$blancos,$blanco);
			$nuevafecha = strtotime ( '+'.$meses.'month', strtotime ( $fecha ) ) ;
			$fecha = date ( 'Y-m-d' , $nuevafecha );
			}
if($semred>0){
		
	  	$pagtotal=insertafila($semred,$tipi="Semana",$fecha,$pagtotal,$semanalcondesc,$moneda,$mascota,$massem,$pext,$pexsem,$garage,$estsem,$camaextra,$camasem,$cuna,$pcs,$aumenta=7,$per="day");
		$diassemana=$semred*7;
		$nuevafecha = strtotime ( '+'.$diassemana.'day', strtotime ( $fecha ) ) ;
			$fecha = date ( 'Y-m-d' , $nuevafecha );
	 
	 }
if($restodias>0){
				$pagtotal=insertafila($restodias,$tipi="noche",$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$masnoche,$pext,$pexnoch,$garage,$estnoch,$camaextra,$camanoch,$cuna,$pcn,$aumenta=1,$per="day");
				$nuevafecha = strtotime ( '+'.$restodias.'day', strtotime ( $fecha ) ) ;
				$fecha = date ( 'Y-m-d' , $nuevafecha );
				}
}

?>
</table>

</div><br><br><br>


<br>

<div class="titulo">
<?
$idconcepto=$deps["id_concepto"];
$pag="SELECT c.tarifa,pa.id_pago,pa.comprobante, pa.fecha, pa.formapago, pa.monto, pa.divisa, pa.tipo_moneda, pa.concepto, pa.f_entrada, pa.f_salida,pa.statusgar, concat(em.nombre,' ',em.a_pat,' ',em.a_mat) as empleado 
FROM pagos as pa 
INNER JOIN empleados as em ON pa.id_emp=em.id_empleado 
INNER JOIN renta as r ON r.id_renta=pa.id_renta
INNER JOIN conceptos as c ON c.id_concepto = pa.id_concepto
where pa.id_concepto='$idconcepto' and pa.monto>0 ";
$query=mysql_query($pag);




if (mysql_num_rows($query)<1) {
  		?>
        <table width="870" class="datos">
  <tr  >
    <td colspan="7" align="center" class="cabezas" ><strong>NO TIENE PAGOS </strong></td>
  </tr>
 </table>
  <? }
		else {?>
<table width="870" class="datos">
  <tr  >
    <td colspan="9" align="center" class="cabezas" ><strong>HISTORIAL DE PAGOS</strong></td>
  </tr>
  <tr  >
    <td colspan="9" align="center" class="cabezas" ><strong>PAGOS REALIZADOS PARA RENTA ACTUAL</strong></td>
  </tr>

  <tr >
    <td width="126" align="center"><strong>F. Pago </strong></td>
    <td width="131" align="center"><strong>Forma Pago </strong></td>
    <td width="80" align="center"><strong>DLLS </strong></td>
    <td width="80" align="center"><strong>PESOS </strong></td>
    <td width="20" align="center"><strong>TC</strong></td>
    <td width="20" align="center"><strong>Tarifa</strong></td>
    <td width="141" align="center"><strong>Concepto</strong></td>
    <td width="150" align="center"><strong>Comp</strong></td>
	<td width="80" align="center"><strong>Reem gar</strong></td>
    
 
  </tr>
  <?
  while($pagos=mysql_fetch_array($query)){
  $ids.="'".$pagos['id_pago']."',";
  switch($pagos['tarifa']){
	  case 'ta':
	     $tarifa="TR";
	     $tarifanombre="Tarifa Rack";
	  break;
	  case 'tm':
	     $tarifa="TS";
		 $tarifanombre="Tarifa Standar";
	  break;
	  case 'tb':
	     $tarifa="TP";
		 $tarifanombre="Tarifa Promoci&oacute;n";
	  break;
	  case 'tmb':
	     $tarifa="TSP";
		 $tarifanombre="Tarifa Super Promoci&oacute;n";
	  break;
	  default: 
	         $tarifa = $pagos['tarifa'];
			 $tarifanombre=$pagos['tarifa'];
  }
  
	?>
  <tr >
    <td><?php echo fechatexto($pagos['fecha']); ?></td>
    <td align="center"><?php echo $pagos['formapago']; ?></td>
    <td align="center"><?php  $cambio=$pagos['monto']/$pagos['divisa'];
						if($pagos['tipo_moneda']=='MXN') {echo Moneda($cambio);} 
						else {echo Moneda($pagos['monto']);}?></td>
    <td align="center"><?php $cambio=$pagos['divisa']*$pagos['monto'];
						if($pagos['tipo_moneda']=='USD') {echo Moneda($cambio);} 
						else {echo Moneda($pagos['monto']);}?></td>
    <td align="center"><?php echo $pagos['divisa']; ?></td>
	<td align="center" title="<?php echo $tarifanombre;?>"><?php echo $tarifa; //$pagos['tarifa'];?></td>
    <td align="center"><?php if($pagos['concepto']=="DEPOSITO" ){ echo "GARANTIA";}else echo$pagos['concepto'];?></td>
    <td align="center">
     <? if($pagos["comprobante"]!=""){?>
  <a href="<?echo$pagos["comprobante"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    </td>
 	<td align="center">
	<?php 
	   if($pagos['concepto']=="DEPOSITO" && $pagos['statusgar']==""){?>
	     <input type="checkbox" name="reembolso" id="reembolso" onClick="window.open('solreembolso1.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagos['id_pago'];?>','','width=800,height=900');">
	   <?}
	   if($pagos['concepto']=="DEPOSITO" && $pagos['statusgar']=="SOLICITADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagos['id_pago'];?>','','width=800,height=900');"><img src="images/atencion.png" title="REEMBOLSO POR PAGAR" width="15" height="15"></a>
	   <?}
	   if($pagos['concepto']=="DEPOSITO" && $pagos['statusgar']=="AUTORIZADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagos['id_pago'];?>','','width=800,height=900');"><img src="images/mailok.png" title="AUTORIZADO" width="15" height="15"></a>
	   <?}
	   if($pagos['concepto']=="DEPOSITO" && $pagos['statusgar']=="PAGADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagos['id_pago'];?>','','width=800,height=900');">PAGADO</a>
	   <?}
	?></td>   
  </tr>
  <? }	
 ?></table><table class="datos"><?
  } $ids.="'0'";
 $pag1="SELECT pa.id_pago,pa.comprobante, pa.fecha, pa.formapago, pa.monto, pa.divisa, pa.tipo_moneda, pa.concepto, pa.f_entrada, pa.f_salida,pa.statusgar, concat(em.nombre,' ',em.a_pat,' ',em.a_mat) as empleado, dep.clave,con.id_concepto,r.id_renta
FROM pagos as pa 
INNER JOIN empleados as em ON pa.id_emp=em.id_empleado 
INNER JOIN renta as r ON r.id_renta=pa.id_renta
INNER JOIN clientes as cl ON r.id_cliente=cl.id_cliente
INNER JOIN conceptos as con ON pa.id_concepto=con.id_concepto
INNER JOIN departamentos as dep ON dep.id_departamento=con.id_departamento
where cl.id_cliente='$q[id_cliente]' and pa.monto>0 and pa.id_pago NOT IN($ids) and con.id_departamento='$deps[id_departamento]' group by pa.id_pago order by pa.fecha desc ";
$queryant=mysql_query($pag1); 
  
  $cc=mysql_num_rows($queryant);
if($cc>0){
  
  ?>
  <tr  >
    <td colspan="9" align="center" class="cabezas" ><strong>PAGOS ANERIORES PARA ESTE DEPARTAMENTO</strong></td>
  </tr>
<tr >
    <td width="126" align="center"><strong>F. Pago </strong></td>
    <td width="131" align="center"><strong>Forma Pago </strong></td>
    <td width="131" align="center"><strong>Departamento </strong></td>
    <td width="80" align="center"><strong>DLLS </strong></td>
    <td width="80" align="center"><strong>PESOS </strong></td>
    <td width="20" align="center"><strong>TC</strong></td>
    <td width="141" align="center"><strong>Concepto</strong></td>
    <td width="150" align="center"><strong>Comp</strong></td>
	<td width="80" align="center"><strong>Reem gar</strong></td>
    
 
  </tr>
<?

  while($pagosant=mysql_fetch_array($queryant)){
  
	?>
  <tr >
    <td><?php echo fechatexto($pagosant['fecha']); ?></td>
    <td align="center"><?php echo $pagosant['formapago']; ?></td>
    <td align="center"><?php echo $pagosant['clave']; ?></td>
    <td align="center"><?php  $cambio=$pagosant['monto']/$pagosant['divisa'];
						if($pagosant['tipo_moneda']=='MXN') {echo Moneda($cambio);} 
						else {echo Moneda($pagosant['monto']);}?></td>
    <td align="center"><?php $cambio=$pagosant['divisa']*$pagosant['monto'];
						if($pagosant['tipo_moneda']=='USD') {echo Moneda($cambio);} 
						else {echo Moneda($pagosant['monto']);}?></td>
    <td align="center"><?php echo $pagosant['divisa']; ?></td>
    <td align="center"><?php if($pagosant['concepto']=="DEPOSITO" ){ echo "GARANTIA";}else echo$pagosant['concepto'];?></td>
    <td align="center">
     <? if($pagosant["comprobante"]!=""){?>
  <a href="<?echo$pagosant["comprobante"];?>" target="_blank"><img src="images/zoom.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante"></a>
  <? }
  else {?>
  <img src="images/vacio.png" width="18" height="18" style="margin-left:5px ;" alt="Ver comprobante">
  <? }?>
    
    </td>
 	<td align="center">
	<?php 
	   if($pagosant['concepto']=="DEPOSITO" && $pagosant['statusgar']==""){?>
	     <input type="checkbox" name="reembolso" id="reembolso" onClick="window.open('solreembolso1.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $pagosant['id_renta'];//$idrenta;?>&idconcepto=<?echo $pagosant['id_concepto'];//$idc;?>&idpago=<?echo$pagosant['id_pago'];?>','','width=800,height=900');">
	   <?}
	   if($pagosant['concepto']=="DEPOSITO" && $pagosant['statusgar']=="SOLICITADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $pagosant['id_renta'];//$idrenta;?>&idconcepto=<?echo $pagosant['id_concepto'];//$idc;?>&idpago=<?echo$pagosant['id_pago'];?>','','width=800,height=900');"><img src="images/atencion.png" title="REEMBOLSO POR PAGAR" width="15" height="15"></a>
	   <?}
	   if($pagosant['concepto']=="DEPOSITO" && $pagosant['statusgar']=="AUTORIZADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagosant['id_pago'];?>','','width=800,height=900');"><img src="images/mailok.png" title="AUTORIZADO" width="15" height="15"></a>
	   <?}
	   if($pagosant['concepto']=="DEPOSITO" && $pagosant['statusgar']=="PAGADO"){?>
	         <a href="#" onClick="window.open('versolreem.php?idcliente=<?echo $idcliente;?>&idrenta=<?echo $idrenta;?>&idconcepto=<?echo $idc;?>&idpago=<?echo$pagosant['id_pago'];?>','','width=800,height=900');">PAGADO</a>
	   <?}
	?></td>   
  </tr>
  <? }	
  }?>

  
</table>
<br>
</div>
<?
}

$sqlL="SELECT Lunes,Martes,Miercoles,Jueves,Viernes,Sabado,Domingo,HoraLimpieza1,HoraLimpieza2 FROM conceptos WHERE id_concepto='$idconcepto'";
$ejecutaL=mysql_query($sqlL);
$datL=mysql_fetch_array($ejecutaL);
$L=$datL['Lunes'];
$Ma=$datL['Martes'];
$Mi=$datL['Miercoles'];
$J=$datL['Jueves'];
$V=$datL['Viernes'];
$S=$datL['Sabado'];
$D=$datL['Domingo'];
$H1=$datL['HoraLimpieza1'];
$H2=$datL['HoraLimpieza2'];
if($L=="s"){$checadoL="checked";}
if($Ma=="s"){$checadoMa="checked";}
if($Mi=="s"){$checadoMi="checked";}
if($J=="s"){$checadoJ="checked";}
if($V=="s"){$checadoV="checked";}
if($S=="s"){$checadoS="checked";}
if($D=="s"){$checadoD="checked";}
?>
<form name="reglimpieza" action="reglimpieza.php" method="POST" target="_blank">
  <div id="apDiv1"></div>
  <table border="0" cellpadding="0"  class="datos">
    <tr class="documentos"><td colspan="11"><center>DIAS LIMPIEZA</center></td></tr>
  <tr>
    <td width="30" align="center"><b>L</b></td>
	<td width="30" align="center"><b>M</b></td>
	<td width="30" align="center"><b>M</b></td>
	<td width="30" align="center"><b>J</b></td>
	<td width="30" align="center"><b>V</b></td>
	<td width="30" align="center"><b>S</b></td>
    <td windt="30" align="center"><b>D</b></td>
   
  </tr>
   <tr>
    <td align="center"><input type="checkbox" name="L" value="s" <?echo $checadoL;?>>    </td>
	<td align="center"><input type="checkbox" name="MA" value="s" <?echo $checadoMa;?>>	</td>
	<td align="center"><input type="checkbox" name="MI" value="s" <?echo $checadoMi;?>>	</td>
	<td align="center"><input type="checkbox" name="J" value="s" <?echo $checadoJ;?>>	</td>
	<td align="center"><input type="checkbox" name="V" value="s" <?echo $checadoV;?>>	</td>
	<td align="center"><input type="checkbox" name="S" value="s" <?echo $checadoS;?>>	</td>
    <td align="center"><input type="checkbox" name="D" value="s" <?echo $checadoD;?>>    </td>
  
   </tr>
  <tr class="cabezas">
    <td colspan="11"><input type="hidden" name="idconceptodias" value="<?echo $idconcepto;?>">
      <input type="hidden" name="fechasalida" value="<?echo $ffin;?>">    </td>
	</tr>
  <tr>
    <td colspan="11" align="center"><input type="submit" value="GUARDAR LIMPIEZAS">    </td>
  </tr>
</table>
</form>
</center>
</body>
</html>